using System;
using System.ServiceModel;
using System.Windows.Forms;

namespace ServiceTester
{
    class GerenciadorExcecao
    {
        public const string cMsg = "Verifique os detalhes da mensagem abaixo. \n";
        public static void TratarExcecao(Exception ex) 
        { 
            if (ex is TimeoutException)
            {
                MessageBox.Show(cMsg + ex.Message,
                                 "Timeout.",
                                MessageBoxButtons.OK,
                                MessageBoxIcon.Error);
                return;
            }
            if (ex is CommunicationException)
            {
                MessageBox.Show(cMsg + ex.Message,
                                 "Erro de Comunicao.",
                                MessageBoxButtons.OK,
                                MessageBoxIcon.Error);
                return;
            }
            else
            {
                MessageBox.Show(cMsg + ex.Message,
                                 "Erro desconhecido.",
                                MessageBoxButtons.OK,
                                MessageBoxIcon.Error);
                return;
            }        
        }
    }
}
